Bug 70530 - i18n: add language Ladin [lld-IT]
Summary: i18n: add language Ladin [lld-IT]
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-16 12:46 UTC by domingo.sacristan
Modified: 2014-02-25 22:43 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
local data for Ladin (13.06 KB, text/xml)
2013-10-17 08:36 UTC, domingo.sacristan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description domingo.sacristan 2013-10-16 12:46:00 UTC
Please include the language "Ladin" in "Language Settings" Dialog Box

Identifier: 	lld
Name: 	Ladin
Status: 	Active
Code set:  	639-3
Linguasphere 	51-AAA-l

Ladin (Ladin: Ladin, Italian: Ladino, German: Ladinisch), is a language consisting of a group of dialects (which some consider part of a unitary Rhaeto-Romance language) mainly spoken in the Dolomite Mountains in Northern Italy in South Tyrol, the Trentino and the province of Belluno. It is closely related to the Swiss Romansh and Friulian.

We will create the hunspell Spellchecker, hyphenation and thesaurus for ladin

thanks!
Comment 1 domingo.sacristan 2013-10-17 08:36:28 UTC
Created attachment 87782 [details]
local data for Ladin

Make with the generator "http://www.it46.se/localegen/"
Comment 2 domingo.sacristan 2013-10-17 11:14:13 UTC
Ladin has more dialects, how can we introduce more variants of ladin, similar to different versions of german or italian?

example:
Ladin(Val Gardena)
Ladin(Val Badia)

thanks!
Comment 3 Commit Notification 2013-10-18 11:14:58 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=21ebbbcb9a98b011f423c7faa72ded5fb40d679d

added Ladin [lld-IT] to language list, fdo#70530



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Eike Rathke 2013-10-18 11:29:15 UTC
When test compiling lld_IT.xml I got the following warnings:

Warning: QuotationStart may be wrong: U+201C “
Warning: QuotationEnd may be wrong: U+201D ”
Warning: DoubleQuotationStart may be wrong: U+2018 ‘
Warning: DoubleQuotationEnd may be wrong: U+2019 ’
Warning: FormatCode formatindex="12" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="13" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="14" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="15" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="17" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.

QuotationStart/QuotationEnd (should be single quotation marks) and
DoubleQuotationStart/DoubleQuotationEnd (should be double quotation
marks) are simply swapped, I'll fix that.

The number formats for currency use a parenthesized form for negative
amounts ([CURRENCY]#,##0.00) that probably is an oversight here. I'll
use the it-IT formats instead.

I'll also add

    <DateAcceptancePattern>D/M</DateAcceptancePattern>

to <LC_FORMAT> to allow abbreviated date input, same as in it_IT.xml
Comment 5 Commit Notification 2013-10-18 11:46:38 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=587473c238829a1a0ec436c716f13a1f0f82689c

added Ladin_Italy [lld-IT] locale data, fdo#70530



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Eike Rathke 2013-10-18 11:50:06 UTC
For dialects best try to register variant subtags with IANA, see http://www.langtag.net/register-new-subtag.html
Comment 7 domingo.sacristan 2014-02-13 12:58:02 UTC
The codecs for ladin dialects are been registered, see please
http://multitree.org/codes/lld

We will start with this dialects: Badiotto; Gadertalisch (lld-bad) Gardenese; Grüdno; Grödnerisch (lld-gar)

Wath will be need to integrate both dialects under the ladin localization? The user should choose between ladin Gardena(lld-gar) and ladin Badia(lld-bad)

More Information:

- ladin Badia:
Name: Badiotto
Type: Dialect
Alternate Name: Gadertalisch
Code: lld-bad
Code Standard: LINGUIST List
Documentation: Private Use
Families: Indo-European (Indo-Germanische, Indo-Hittite)
Parent Language: Ladin; Ladino; Dolomite; Rhaeto-Romance; Rhaeto-Romanic (lld)

- ladin Gardena:
Name: Gardenese
Type: Dialect
Alternate Names: Grüdno; Grödnerisch
Code: lld-gar
Code Standard: LINGUIST List
Documentation: Private Use
Families: Indo-European (Indo-Germanische, Indo-Hittite)
Parent Language: Ladin; Ladino; Dolomite; Rhaeto-Romance; Rhaeto-Romanic (lld)

thanks!
Comment 8 domingo.sacristan 2014-02-13 13:08:22 UTC
Do you need a new file for Ladin Badia ("local data for Ladin-bad") and a new file for Ladin Gardena ("local data for Ladin-gar") or can we take the same file under Attachments?

Thank you again!
Comment 9 Eike Rathke 2014-02-25 22:43:12 UTC
Please don't reopen an existing RFE for a new request, this RFE is specific to Ladin [lld-IT] that has been added for release 4.2.0 (see Whiteboard target). Please submit a new RFE instead. BUT ...

Note that the linguist list codes of http://multitree.org/codes are NOT the BCP 47 language tags needed, you WILL have to register variant tags with IANA as mentioned in comment 6 to be stored persistently in document files. See also https://tools.ietf.org/html/rfc5646#section-2.2.5 and https://tools.ietf.org/html/rfc5646#section-3.5